[SciPy-User] scipy versions and conda

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[SciPy-User] scipy versions and conda

Slavin, Jonathan
Hi all,

I asked about this on the anaconda_support list but so far have gotten no response.  The problem is that when I go to install various packages recently, conda tells me that scipy needs to be downgraded from 1.0.1 to 0.19.1.  This occurred with pyregion and with bokeh for my python 3.6.4 environment.  Does anyone know why such a downgrade might be needed (or if it's really needed)? How different is 1.0.1 from 0.19.1?  From the "what's new" it looks like a fair amount has changed, though I'm not sure if I'd notice the differences in my own usage.

Regards,
Jon

--
________________________________________________________
Jonathan D. Slavin                 Harvard-Smithsonian CfA
[hidden email]       60 Garden Street, MS 83
phone: (617) 496-7981       Cambridge, MA 02138-1516
cell: (781) 363-0035             USA
________________________________________________________


_______________________________________________
SciPy-User mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/scipy-user
Reply | Threaded
Open this post in threaded view
|

Re: scipy versions and conda

Michael Sarahan
I think our emails crossed on the Anaconda Support list.  Please don't spam scipy-user with questions about conda.

On Tue, Jun 12, 2018 at 1:40 PM Slavin, Jonathan <[hidden email]> wrote:
Hi all,

I asked about this on the anaconda_support list but so far have gotten no response.  The problem is that when I go to install various packages recently, conda tells me that scipy needs to be downgraded from 1.0.1 to 0.19.1.  This occurred with pyregion and with bokeh for my python 3.6.4 environment.  Does anyone know why such a downgrade might be needed (or if it's really needed)? How different is 1.0.1 from 0.19.1?  From the "what's new" it looks like a fair amount has changed, though I'm not sure if I'd notice the differences in my own usage.

Regards,
Jon

--
________________________________________________________
Jonathan D. Slavin                 Harvard-Smithsonian CfA
[hidden email]       60 Garden Street, MS 83
phone: (617) 496-7981       Cambridge, MA 02138-1516
cell: (781) 363-0035             USA
________________________________________________________

_______________________________________________
SciPy-User mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/scipy-user

_______________________________________________
SciPy-User mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/scipy-user
Reply | Threaded
Open this post in threaded view
|

Re: scipy versions and conda

laughingrice
In reply to this post by Slavin, Jonathan
It’s either package requirements or repository preferences.

You can try using this to request a specific version of scipy and see if there are complaints about conflicting requirements

conda install pyregion bokeh scipy=1.0.1

On Jun 12, 2018, at 14:39, Slavin, Jonathan <[hidden email]> wrote:

Hi all,

I asked about this on the anaconda_support list but so far have gotten no response.  The problem is that when I go to install various packages recently, conda tells me that scipy needs to be downgraded from 1.0.1 to 0.19.1.  This occurred with pyregion and with bokeh for my python 3.6.4 environment.  Does anyone know why such a downgrade might be needed (or if it's really needed)? How different is 1.0.1 from 0.19.1?  From the "what's new" it looks like a fair amount has changed, though I'm not sure if I'd notice the differences in my own usage.

Regards,
Jon

-- 
________________________________________________________
Jonathan D. Slavin                 Harvard-Smithsonian CfA
[hidden email]       60 Garden Street, MS 83
phone: (617) 496-7981       Cambridge, MA 02138-1516
cell: (781) 363-0035             USA
________________________________________________________

_______________________________________________
SciPy-User mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/scipy-user


_______________________________________________
SciPy-User mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/scipy-user